MessageEmitter
Keywords: com.icl.saxon.output.MessageEmitter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class MessageEmitter

    java.lang.Object
      com.icl.saxon.output.Emitter
          com.icl.saxon.output.XMLEmitter
              com.icl.saxon.output.MessageEmitter

All Implemented Interfaces:
  Result

public class MessageEmitter
extends XMLEmitter

MessageEmitter is the default Emitter for xsl:message output. It is the same as XMLEmitter except for an extra newline at the end of the message

Field Summary

Fields inherited from class com.icl.saxon.output.XMLEmitter
`characterSet, declarationIsWritten, empty, escaping, lastDisplayName, lastNameCode, lastPrefix, lastURI, openStartTag, preferHex`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputProperties, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`MessageEmitter()`

Method Summary
`void` | `endDocument()` End of the document.

Methods inherited from class com.icl.saxon.output.XMLEmitter
`characters, closeStartTag, comment, emptyElementTagCloser, endElement, outputCharacterReference, processingInstruction, setDocumentLocator, setEscaping, setOutputProperties, setResult, setUnparsedEntity, startDocument, startElement, testCharacters, testCharacters, writeAttribute, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setNamePool, setOutputStream, setSystemId, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEmitter

    public MessageEmitter()

Method Detail

### endDocument

    public void endDocument()
                     throws TransformerException

  Description copied from class: `XMLEmitter`
  End of the document. Close the output stream.

  Overrides:
    `endDocument` in class `XMLEmitter`
  Throws:
    `TransformerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD